{
  "criteria": {
    "feed_snifflet": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:sniffer",
              "flags": {
                "is_baby": true
              }
            }
          }
        ],
        "item": {
          "items": "#minecraft:sniffer_food"
        }
      },
      "trigger": "minecraft:player_interacted_with_entity"
    }
  },
  "requirements": [
    [
      "feed_snifflet"
    ]
  ],
  "rewards": {
    "function": "koncept.bingo:bingo/dynamic_advancement/feed_snifflet"
  },
  "sends_telemetry_event": true
}